import { CanvasLogicalWidth } from './Waveform';
import { MouseEvent } from 'react';

// TODO: add tests
export const mouseEventToCanvasX = (
  evt: MouseEvent<HTMLCanvasElement>
): number => {
  const rect = evt.currentTarget.getBoundingClientRect();
  const elementX = evt.clientX - rect.left;
  return (elementX * CanvasLogicalWidth) / rect.width;
};

// TODO: add tests
export const canvasXToFrame = (x: number, numFrames: number): number => {
  return Math.floor((x / CanvasLogicalWidth) * numFrames);
};
